<?php
// $Id$

class Feedback {
	var $store;

	function __construct() {
		$this->store = new trafficStorage();
	}

    public function actions() {
        switch(globalize('action')) {
            case 'submit':
				$this->save(globalize('feedbackName'),
							globalize('feedbackLogin'),
							globalize('feedbackTime'),
							globalize('feedbackMessage'));
				break;
        }
    }

    public function overview($doc,$ids='') {
        $item = globalize('item',get_class($this));
		global $mysession;
		
		/* START FEEDBACK FORM */
		$current_time = date("Y-m-d H:i:s");
		$current_date = date("Y-m-d");
		$login = $mysession['login'];

		$action = globalize('action');
		$name = globalize('name');
		$message = globalize('message');

		$container = $doc->createElement('div');
		$container->setAttribute('class','module');
		
		$header = $doc->createElement('h1');
		$header->appendChild($doc->createTextNode('Report Feedback/Issues'));
		$container->appendChild($header);

		$p = $doc->createElement('p');
//		$p->setAttribute('style','text-align: center');
		$text = $doc->createTextNode("If something isn't as easy to do as it should be, write it down below and hit submit. Please be as detailed as possible in your description. Be honest; and you can stay anonymous if you want.");
		$p->appendChild($text);
		$container->appendChild($p);
		
		$form = module::form_dom($doc);
		
		$table = $doc->createElement('table');
		$table->setAttribute('class', 'view');
		
		$timehidden = $doc->createElement('input');
		$timehidden->setAttribute('type','hidden');
		$timehidden->setAttribute('name','feedbackTime');
		$timehidden->setAttribute('value',$current_time);
		$container->appendChild($timehidden); 

		$loginhidden = $doc->createElement('input');
		$loginhidden->setAttribute('type','hidden');
		$loginhidden->setAttribute('name','feedbackLogin');
		$loginhidden->setAttribute('value',$login);
		$container->appendChild($loginhidden);
		
		
		$nametr = $doc->createElement('tr');
		$labeltd = $doc->createElement('th');
		$label = $doc->createTextNode('Name (optional)');                
		$inputtd = $doc->createElement('td');
		$input = $doc->createElement('input');
		$input->setAttribute('type','text');
		$input->setAttribute('name','feedbackName');
		$labeltd->appendChild($label);                        
		$inputtd->appendChild($input);                        
		$nametr->appendChild($labeltd);
		$nametr->appendChild($inputtd);
		
		$messagetr = $doc->createElement('tr');
		$labeltd = $doc->createElement('th');
		$label = $doc->createTextNode('Problem (be specific)');                
		$inputtd = $doc->createElement('td');
		$input = $doc->createElement('textarea');
		$input->setAttribute('rows','9');
		$input->setAttribute('cols','36');
		$input->setAttribute('name','feedbackMessage');
		$input->appendChild($doc->createTextNode(''));
		$labeltd->appendChild($label);                        
		$inputtd->appendChild($input);                        
		$messagetr->appendChild($labeltd);
		$messagetr->appendChild($inputtd);
		
		$table->appendChild($nametr);
		$table->appendChild($messagetr);
		
		$savetr = $doc->createElement('tr');
		$savetd = $doc->createElement('td');
		$save = $doc->createElement('input');
		$save->setAttribute('type','submit');
		$save->setAttribute('name','action');
		$save->setAttribute('value','submit');
		$savetd->appendChild($save);       
		$savetr->appendChild($savetd);
		$table->appendChild($savetr);

		$form->appendChild($table);
		$container->appendChild($form);
		
		/* END FEEDBACK FORM */
	
		$container->appendChild($form);

        return($container);
    }
	
    public function save($name,$login,$current_time,$message) {
		// Escape values.
		$values = array(&$name,
						&$login,
						&$message
						);
 		foreach ($values as &$value) {
			$value = sysdb::escape_string($value);
		}
		unset($value);

		$errors = false;
		if ( !$errors ) {
			$query = "INSERT INTO {$this->store->table_traffic_feedback} (name,login,time,message) VALUES ('$name','$login','$current_time','$message')";
			$result = sysdb::query($query);
			state::setMessage('notify', 'Successfully submitted feedback. Thankyou.');	
		}
    }
}
?>