<?php
// $Id$

class TrafficIntroductionPlugin {
	private $store;
	private $component;
	private $module;
	private $plugin;

	function __construct() {
		$this->title = 'Introduction';
	}

    public function setComponent($component) {
        $this->component = $component;
    }

    public function setModule($module) {
        $this->module = $module;
    }

    public function setPlugin($plugin) {
        $this->plugin = $plugin;
    }

    public function getComponent() {
        return $this->component;
    }

    public function getModule() {
        return $this->module;
    }

    public function getPlugin() {
        return $this->plugin;
    }

	public function TrafficIntroductionPlugin() {
		$component = $this->component;

?>
		<div style="border: 2px solid darkblue; background-color: white; color: darkblue; font-face: sans-serif; font-size: 10pt; width: 500px; margin-left: 5px; padding: 5px;">
		<h1>Read Me Please.<br/>
		<!--<font color="red">Updated 5/1/2010</font>-->
		</h1>
		<p>Welcome to the Retromod management system.</p>
		<p>Across the top of this screen you'll see a number of <b>tabs</b>. The one you are in at the moment is called "Home". Each tab is a module '<b>category</b>', kind of like a folder.</p>
		<p>Each tab contains a set of <b>modules</b>. Each module allows you to perform a specific task, or set of tasks. For example, the <b>Change Password</b> module under the <b>Administration</b> tab allows you to change your password.</p>
		<p>The <b>Home</b> tab is special.  It provides you with a quick overview of particular modules you are interested in.  For example, it can show you tidbits of information like how what campaigns are assigned to you. Click <b>Edit this page</b> up the top right to change what you see on this page.</p>
		<p>Under the <b>Sponsorship</b> tab you'll find the <b>Sponsorship Traffic</b> module, where you should divert your attention. Start at the Clients page. Note that Clients have Contracts; Contracts can have one or more Campaigns; A Campaign may have several pieces of Campaign Audio.</p>
		<p>You will discover a feedback form in the menu in the <b>Sponsorship Traffic</b> module. When you're having a play with the system, and you get frustrated because something isn't as easy to do as it should be, write it down below and hit submit. Please be as detailed as possible in your description.</p>
		</p>
		</div>
<?php
	}
}
?>