// $Id$

/**
* Enables the sector end date so that it is submitted with the Client::form().
*/
function enableSectorEndDate() {
 	var year = document.getElementById("sectorEndYear").disabled;
	if (year) {
		document.getElementById("sectorEndYear").disabled = false;
	} else {
		document.getElementById("sectorEndYear").disabled = true;
	}
 	var month = document.getElementById("sectorEndMonth").disabled;
	if (month) {
		document.getElementById("sectorEndMonth").disabled = false;
	} else {
		document.getElementById("sectorEndMonth").disabled = true;
	}
 	var day = document.getElementById("sectorEndDay").disabled;
	if (day) {
		document.getElementById("sectorEndDay").disabled = false;
	} else {
		document.getElementById("sectorEndDay").disabled = true;
	}
}

function disableSectorForm() {
	var arraySectors = new Array();
	arraySectors[0] = 'Name';
	for (var i=0; i<arraySectors.length; i++) {
		var type = arraySectors[i];
		document.getElementById("sector" + type).value = "";
	}
}

function depopulateClientRepForm() {
	var arrayReps = new Array();
	arrayReps[0] = 'Title';
	arrayReps[1] = 'FirstName';
	arrayReps[2] = 'LastName';
	arrayReps[3] = 'Address';
	arrayReps[4] = 'City';
	arrayReps[5] = 'Postcode';
	arrayReps[6] = 'Work';
	arrayReps[7] = 'Mobile';
	arrayReps[8] = 'Fax';
	arrayReps[9] = 'Email';
	for (var i=0; i<arrayReps.length; i++) {
		var type = arrayReps[i];
		document.getElementById("clientRep" + type).value = "";
	}
}

function populateClientRepForm(string) {
	var array = string.split('/');
	for (var i=0; i<array.length; i++) {
		var type = array[i];
		var input = document.getElementById("client" + type).value;
		document.getElementById("clientRep" + type).value = input;
	}
}

function toggleClientRepForm(on,off) {
    var state = document.getElementById(on).style.display;
	if (state == 'block') {
        document.getElementById(on).style.display = 'none';
        document.getElementById(off).style.display = 'block';
		depopulateClientRepForm();
	} else {
	    document.getElementById(on).style.display = 'block';
	    document.getElementById(off).style.display = 'none';
    }
}

function toggleSectorForm(on,off) {
    var state = document.getElementById(on).style.display;
	if (state == 'block') {
        document.getElementById(on).style.display = 'none';
        document.getElementById(off).style.display = 'block';
		disableSectorForm();
	} else {
	    document.getElementById(on).style.display = 'block';
	    document.getElementById(off).style.display = 'none';
    }
}

// alert("Loaded Client.js");