// $Id$

function keypress_event_handler(e) {
    e = e || window.event;
    var inputBox = e.srcElement || e.target;

    var minRequired = 3;

    //If contents of box is greater than or equal to minRequired, popup result box and send search request.
    var inputText = inputBox.value;
    if (inputText.length >= minRequired) {
        var popup = document.getElementById('traffic_searchresult');
		popup.innerHTML = 'Searching...';
        //Send search request
        //JSON.send(inputText,'POST','{WWWROOT}%3FmoduleID={moduleID}%26module_script=searchSnippet.php',receive_results); //Debug purposes
        JSON.send(inputText,'POST','{WWWROOT}?moduleID={moduleID}&module_script=searchSnippet.php',receive_results);
    } else {
        hide_results_box();
    }
}//eof keypress_event_handler

function receive_results() {
    req = JSON.getReq();
	if (req.readyState == 4) {
		//Get a reference to our chat container div for easy access
        var popup = document.getElementById('traffic_searchresult');
		//Get the AJAX response and run the JavaScript evaluation function
		//on it to turn it into a useable object.  Notice since we are passing
		//in the JSON value as a string we need to wrap it in parentheses
		popup.innerHTML = req.responseText;

        //Popup search box
        field = document.getElementById('traffic_search');
        popup = document.getElementById('traffic_searchresult');
        popup.style.visibility = 'visible';

        var curleft = curtop = 0;
        var obj = field;
    	if (obj.offsetParent) {
        	do {
        			curleft += obj.offsetLeft;
        			curtop += obj.offsetTop;
        	} while (obj = obj.offsetParent);
        }

		popup.style.left = curleft+field.offsetWidth-popup.offsetWidth;
		popup.style.top = curtop+field.offsetHeight;
	}
}

var allow_hide_results = true;

function hide_results_box() {
    if (allow_hide_results) {
        popup = document.getElementById('traffic_searchresult');
        popup.style.visibility = 'hidden';
    }
}

function allow_hide_results_box() {
    allow_hide_results = true;
}

function disallow_hide_results_box() {
    allow_hide_results = false;
}


addLoadEvent(function () {
          //alert("Started.");
          addEventListener(document.getElementById("traffic_search"), "keyup", keypress_event_handler);
          addEventListener(document.getElementById("traffic_search"), "blur", hide_results_box);
          addEventListener(document.getElementById("traffic_searchresult"), "mouseover", disallow_hide_results_box);
          addEventListener(document.getElementById("traffic_searchresult"), "mouseout", allow_hide_results_box);
       });
