<?php
// $Id$

class Spot {
	var $store;

	function __construct() {
		$this->store = new trafficStorage();
	}

    public function actions() {
        $action = globalize('relationship_action');
        $action = $action['Spot'];
        switch($action) {
            case 'delete': $this->delete(globalize('spotID')); break;
            case 'add': $this->add(globalize('campaignAudioID'),globalize('slotID')); break;
        }

    }

    public function display_list_campaignAudios($doc,$slotID) {
        $item = globalize('item',get_class($this));
        $query = "SELECT SE.spotID, S.name FROM ({$this->store->table_traffic_campaignaudio} S, {$this->store->table_traffic_spot} SE) WHERE S.campaignAudioID = SE.campaignAudioID AND SE.slotID = '$slotID' ORDER BY name";
        $result = sysdb::query($query);

        $table = $doc->createElement('table');
        $table->setAttribute('class','module');
        $tr = $doc->createElement('tr');
        $td = $doc->createElement('th');
        $td->setAttribute('colspan','3');
        $name = $doc->createTextNode('Spot at CampaignAudios');

        $table->appendChild($tr);
        $tr->appendChild($td);
        $td->appendChild($name);
        if (sysdb::num_rows($result) <= 0) {
            $tr = $doc->createElement('tr');
            $td = $doc->createElement('td');
            $td->setAttribute('colspan','2');
            $name = $doc->createTextNode('No campaignAudios entered this slot');

            $table->appendChild($tr);
            $tr->appendChild($td);
            $td->appendChild($name);
        }
        while ($line = sysdb::fetch_assoc($result)) {
            $tr = $doc->createElement('tr');
            //$lefttd = $doc->createElement('td');
            $righttd = $doc->createElement('td');
            $actiontd = $doc->createElement('td');
            //$subregion = $doc->createTextNode($line['subregionName']);
            $name = $doc->createTextNode($line['name']);
            $editlink = module::link_to_script_dom($doc,'disassociate',$module_script,array('item'=>$item,'relationship_action[Spot]'=>'delete','spotID'=>$line['spotID']));


            $table->appendChild($tr);
            //$tr->appendChild($lefttd);
            $tr->appendChild($righttd);
            $tr->appendChild($actiontd);
            //$lefttd->appendChild($subregion);
            $righttd->appendChild($name);
            $actiontd->appendChild($editlink);
        }
        $tr = $doc->createElement('tr');
        $lefttd = $doc->createElement('th');
        $campaignAudio = new CampaignAudio();
        $lefttd->appendChild($campaignAudio->display_select($doc));
        $righttd = $doc->createElement('th');
        $firstNameinput = $doc->createElement('input');
        $firstNameinput->setAttribute('type','hidden');
        $firstNameinput->setAttribute('firstName','slotID');
        $firstNameinput->setAttribute('value','');
        $actiontd = $doc->createElement('th');
        $addinput = $doc->createElement('input');
        $addinput->setAttribute('type','submit');
        $addinput->setAttribute('name','relationship_action[Spot]');
        $addinput->setAttribute('value','add');

        $table->appendChild($tr);
        $tr->appendChild($lefttd);
        $tr->appendChild($righttd);
        $tr->appendChild($actiontd);
        $righttd->appendChild($firstNameinput);
        $actiontd->appendChild($addinput);

        return($table);
    }

    public function display_list_slots($doc,$campaignAudioID) {
        $item = globalize('item',get_class($this));
        $query = "SELECT SE.spotID, S.slotID, S.startDate, S.endDate, S.dow, S.time FROM ({$this->store->table_traffic_slot} S, {$this->store->table_traffic_spot} SE) WHERE SE.campaignAudioID = $campaignAudioID AND S.slotID = SE.slotID ORDER BY S.lastName, S.firstName";
        $result = sysdb::query($query);

        $table = $doc->createElement('table');
        $table->setAttribute('class','module');
        $tr = $doc->createElement('tr');
        $td = $doc->createElement('th');
        $td->setAttribute('colspan','6');
        $firstName = $doc->createTextNode('Spots');
        $tr->appendChild($td);
        $td->appendChild($firstName);
        $table->appendChild($tr);

        $tr = $doc->createElement('tr');
        $startDatetd = $doc->createElement('th');
        $endDatetd = $doc->createElement('th');
        $dowtd = $doc->createElement('th');
        $timetd = $doc->createElement('th');

        $startDate = $doc->createTextNode('StartDate');
        $endDate = $doc->createTextNode('EndDate');
        $dow = $doc->createTextNode('DOW');
        $time = $doc->createTextNode('Time');

        $startDatetd->appendChild($startDate);
        $endDatetd->appendChild($endDate);
        $dowtd->appendChild($dow);
        $timetd->appendChild($time);

        $tr->appendChild($startDatetd);
        $tr->appendChild($endDatetd);
        $tr->appendChild($dowtd);
        $tr->appendChild($timetd);

        $table->appendChild($tr);
        if (sysdb::num_rows($result) <= 0) {
            $tr = $doc->createElement('tr');
            $td = $doc->createElement('td');
            $td->setAttribute('colspan','2');
            $startDate = $doc->createTextNode('No slots entered');

            $table->appendChild($tr);
            $tr->appendChild($td);
            $td->appendChild($startDate);
        }
        while ($line = sysdb::fetch_assoc($result)) {
            $tr = $doc->createElement('tr');
            $startDatetd = $doc->createElement('td');
            $endDatetd = $doc->createElement('td');
            $dowtd = $doc->createElement('td');
            $timetd = $doc->createElement('td');
            $actiontd = $doc->createElement('td');
            $startDate = $doc->createTextNode($line['startDate']);
            $endDate = $doc->createTextNode($line['endDate']);
            $dow = $doc->createTextNode($line['dow']);
            $time = $doc->createTextNode($line['time']);
            $editlink = module::link_to_script_dom($doc,'edit',$module_script,array('item'=>'Slot','action'=>'edit','id'=>$line['slotID']));
            $deletelink = module::link_to_script_dom($doc,'disassociate',$module_script,array('item'=>$item,'relationship_action[Spot]'=>'delete','spotID'=>$line['spotID']));

            $table->appendChild($tr);
            $tr->appendChild($startDatetd);
            $tr->appendChild($endDatetd);
            $tr->appendChild($dowtd);
            $tr->appendChild($timetd);
            $tr->appendChild($actiontd);
            $startDatetd->appendChild($startDate);
            $endDatetd->appendChild($endDate);
            $dowtd->appendChild($dow);
            $timetd->appendChild($time);
            $actiontd->appendChild($editlink);
            $actiontd->appendChild($doc->createTextNode(' | '));
            $actiontd->appendChild($deletelink);
        }
        $tr = $doc->createElement('tr');

        $slottd = $doc->createElement('th');
        $slottd->setAttribute('colspan','5');
        $slot = new Slot();
        $slottd->appendChild($slot->display_select($doc));


        $actiontd = $doc->createElement('th');
        $addinput = $doc->createElement('input');
        $addinput->setAttribute('type','submit');
        $addinput->setAttribute('name','relationship_action[Spot]');
        $addinput->setAttribute('value','add');

        $table->appendChild($tr);
        $tr->appendChild($slottd);
        $tr->appendChild($actiontd);
        $actiontd->appendChild($addinput);

        return($table);
    }

   /** Adds a new spot, adding it as the lowest priority. */
    public function add($mediaID, $dateTime) {
		$query = <<<EOQ
			INSERT INTO {$this->store->table_traffic_spot} (
				{$this->store->field_spot_mediaID},
				{$this->store->field_spot_dateTime},
				{$this->store->field_spot_priority}
			) VALUES (
				'$mediaID',
				'$dateTime',
				(SELECT COALESCE(MAX({$this->store->field_spot_priority}),0) + 1
				FROM {$this->store->table_traffic_spot}
				WHERE {$this->store->field_spot_dateTime} = '$dateTime'
				)
			)
EOQ;
		sysdb::query($query);
	}

   /** Adds multiple new spots, adding them as the lowest priority. */
    public function add_many($mediaIDList, $dateTimeList) {
		// Calculate the lowest priority for each date time.
		$priorities = array();
		foreach ($dateTimeList as $key => $dateTime) {
			if (!array_key_exists($dateTime, $priorities)) {
				// Store the initial priority state so it can be reused if spots exist in same datetime slot.
				$query = <<<EOQ
					SELECT COALESCE(MAX({$this->store->field_spot_priority}), 0) + 1 AS priority
					FROM {$this->store->table_traffic_spot}
					WHERE {$this->store->field_spot_dateTime} = '$dateTime'
EOQ;
				$priority = sysdb::queryOne($query);
				$priorities[$dateTime] = $priority;
			} else {
				// Increment the stored priority.
				$priorities[$dateTime]++;
			}
			$priorityList[$key] = $priorities[$dateTime];
		}

		// Add spots.
        $query = <<<EOQ
			INSERT INTO {$this->store->table_traffic_spot} (
				{$this->store->field_spot_mediaID},
				{$this->store->field_spot_dateTime},
				{$this->store->field_spot_priority}
			) VALUES
EOQ;
		$i = 0;
		for ($j = 0; $j < sizeof($mediaIDList); $j++) {
			if ($i > 0 || $i == sizeof($mediaIDList)) {
				$query .= ", ";
			}
			$query .= <<<EOQ
				(
					'$mediaIDList[$i]',
					'$dateTimeList[$i]',
					'$priorityList[$i]'
				)
EOQ;
			$i++;
		}
        sysdb::query($query);
		return $i;
    }

   /** Deletes a spot. */
    public function delete($id) {
        $query = <<<EOQ
            DELETE FROM {$this->store->table_traffic_spot}
			WHERE {$this->store->field_spot_spotID} = '$id'
EOQ;
        sysdb::query($query);
    }

   /** Deletes multiple spots. */
    public function delete_many($ids) {
		$ids_str = implode(',',$ids);
        $query = <<<EOQ
            DELETE FROM {$this->store->table_traffic_spot}
			WHERE {$this->store->field_spot_spotID} IN ('$ids_str')
EOQ;
        sysdb::query($query);
		return true;
    }

    public function deleteSlot($id) {
		/** @todo This function won't work, as slot ID no longer exists in spot table. */
        $query = "DELETE FROM {$this->store->table_traffic_spot} WHERE slotID = '$id'";
        $result = sysdb::query($query);
    }

   /**
	* Deletes a spot, and changes the priority of all other spots in a time slot accordingly.
	*
	* @param $spotID
	*   The spot ID that is being deleted.
	*
	* @return
	*   TRUE if changes are made. Otherwise FALSE.
	*/
    public function remove($spotID) {
		$changes_made = false;

		// Preliminary check of variables.
		if ($spotID != '') {

			// Resolve slot date time of spot.
			$query = <<<EOQ
				SELECT DISTINCT {$this->store->field_spot_dateTime} AS dateTime
				FROM {$this->store->table_traffic_spot}
				WHERE {$this->store->field_spot_spotID} = '$spotID'
EOQ;
			$result = sysdb::query($query);
			if (sysdb::num_rows($result) > 0) {
				$line = sysdb::fetch_assoc($result);
				$dateTime = $line['dateTime'];

				// Grab all spots for the slot.
				$query = <<<EOQ
					SELECT {$this->store->field_spot_spotID} AS spotID,
						{$this->store->field_spot_priority} AS priority
					FROM {$this->store->table_traffic_spot}
					WHERE {$this->store->field_spot_dateTime} = '$dateTime'
					ORDER BY priority
EOQ;
				// Turn result query into a matrix.
				$matrix = sysdb::query2matrix($query,false);

				// Rotate the matrix 90 degrees so that each column is a vector within the matrix.
				$vectors = sysdb::rotatematrix($matrix);

				// Perform data transformation on any column (vector), row by row (key by key).
				if (!empty($vectors[0])) {
					if (in_array($spotID,$vectors[0])) {
						$search = array_search($spotID,$vectors[0]);
						$old_priority = $vectors[1][$search];
						$priorityList = array();

						// Process every spot in the slot.
						foreach ($vectors[0] as $key => $value) {
							// Change their priorities if they are affected by the required change.
							if ($vectors[1][$key] >= $old_priority) {
								if ($value == $spotID) {
									// Delete the desired spot.
									$query = <<<EOQ
										DELETE FROM {$this->store->table_traffic_spot}
										WHERE {$this->store->field_spot_spotID} = '$spotID'
EOQ;
									sysdb::query($query);
								} else {
									// Increment priority of other affected spots.
									$provisional_priority = $vectors[1][$key] - 1;
									if ($provisional_priority <= 1) {
										// Cannot be a higher priority than one.
										$priorityList[$value] = 1;
									} else {
										// Set the new priority for the spot.
										$priorityList[$value] = $provisional_priority;
									}
								}
							}
							// The priority of the spot hasn't changed.
						}
						$changes_made = true;
					}
					// The requested spot is not scheduled in this slot.
				}
				// No spots in this slot.
			}
			// Spot has no scheduled time or spot doesn't exist. Something is wrong.
		}
		if ($changes_made) {
			if (!empty($priorityList)) {
				// Update the priorities in storage.
				$spotList = implode(',', array_keys($priorityList));
				$query = "UPDATE {$this->store->table_traffic_spot} SET {$this->store->field_spot_priority} = CASE {$this->store->field_spot_spotID} ";
				foreach ($priorityList as $spotID => $priority) {
					$query .= sprintf("WHEN %d THEN %d ", $spotID, $priority);
				}
				$query .= "END WHERE {$this->store->field_spot_spotID} IN ($spotList)";
				$result = sysdb::query($query);
			}
			return true;
		} else {
			return false;
		}
    }

   /** Deletes multiple spots, and changes the priority of all other spots in a time slot accordingly. */
	public function remove_many($list, $method='') {
		$changes_made = false;

		// Preliminary check of variables.
		if (is_array($list)) {
			if ($method == 'datetime') {
				$spotList = array();
				foreach ($list as $spotDateTime) {
					$query = <<<EOQ
						SELECT {$this->store->field_spot_spotID} AS spotID
						FROM {$this->store->table_traffic_spot}
						WHERE {$this->store->field_spot_dateTime} = '$spotDateTime'
EOQ;
					$result = sysdb::query($query);
					$line = sysdb::fetch_assoc($result);
					$spotList[] = $line['spotID'];
				}
				$count = self::remove_many($spotList, 'spot');
				return $count;
			} else if ($method == 'spot') {
				$count = 0;
				foreach ($list as $spotID) {
					self::remove($spotID);
					$count++;
				}
				return $count;
			} else {
				return false;
			}
		}
	}

   /** Moves a spot, adding it as the lowest priority.
    *
	* @param $spotID
	*   The spot ID that is being moved.
	* @param $dateTime
	*   The new datetime the spot is to be moved to.
	*
	* @return
	*   Number of rows changed.
    */
    public function move($spotID, $dateTime) {
		// Fetch new priority.
		$query = <<<EOQ
			SELECT COALESCE(MAX({$this->store->field_spot_priority}), 0) + 1 AS priority
			FROM {$this->store->table_traffic_spot}
			WHERE {$this->store->field_spot_dateTime} = '$dateTime'
EOQ;
		$priority = sysdb::queryOne($query);

		// Change time slot and priority.
		$query = <<<EOQ
			UPDATE {$this->store->table_traffic_spot}
			SET {$this->store->field_spot_dateTime} = '$dateTime',
				{$this->store->field_spot_priority} = '$priority'
			WHERE {$this->store->field_spot_spotID} = '$spotID'
			AND {$this->store->field_spot_dateTime} != '$dateTime'
EOQ;
		$result = sysdb::query($query);

		return ($result);

    }

   /** Moves multiple spots. */
    public function move_many($spotIDList, $dateTimeList) {

		// Preliminary check of variables.
		if (is_array($spotIDList)) {
			$count = 0;
			foreach ($spotIDList as $key => $spotID) {
				self::move($spotID, $dateTimeList[$key]);
				$count++;
			}
			return $count;
		} else {
			return false;
		}
	}

   /**
	* Changes the priority of a spot, and all other spots in a time slot accordingly.
	*
	* @param $spotID
	*   The spot ID that is being reprioritized.
	* @param $shift_value
	*   The integer by which the spot is being reprioritized. Positive values
	*   indicate a downgrade in priority. Negative numbers indicate an upgrade
	*   in priority.
	*
	* @return
	*   TRUE if changes are made. Otherwise FALSE.
	*/
    public function reprioritize($spotID, $shift_value) {
		$changes_made = false;

		// Preliminary check of variables.
		if ($spotID != '' && $shift_value != '') {

			// Resolve slot date time of spot.
			$query = <<<EOQ
				SELECT DISTINCT {$this->store->field_spot_dateTime} AS dateTime
				FROM {$this->store->table_traffic_spot}
				WHERE {$this->store->field_spot_spotID} = '$spotID'
EOQ;
			$result = sysdb::query($query);
			if (sysdb::num_rows($result) > 0) {
				$line = sysdb::fetch_assoc($result);
				$dateTime = $line['dateTime'];

				// Grab all spots for the slot.
				$query = <<<EOQ
					SELECT {$this->store->field_spot_spotID} AS spotID,
						{$this->store->field_spot_priority} AS priority
					FROM {$this->store->table_traffic_spot}
					WHERE {$this->store->field_spot_dateTime} = '$dateTime'
					ORDER BY spotID
EOQ;
				// Turn result query into a matrix.
				$matrix = sysdb::query2matrix($query,false);

				// Rotate the matrix 90 degrees so that each column is a vector within the matrix.
				$vectors = sysdb::rotatematrix($matrix);

				// Perform data transformation on any column (vector), row by row (key by key).
				if (!empty($vectors[0])) {
					if (in_array($spotID, $vectors[0])) {

						// Check for bad data.
						$return = self::repair_priority($vectors[0], $vectors[1]);
						$spots = $return[0];
						$priorities = $return[1];

						// Lookup spot priority.
						$search = array_search($spotID, $spots);
						$old_priority = $priorities[$search];
						$new_priority = $priorities[$search] + $shift_value;

						if ($new_priority <= 1) {
							// Cannot be a higher priority than one.
							$new_priority = 1;
						}

						// Check if priority is going up or down.
						if ($old_priority > $new_priority) {
							// Priority is going up.

							$priorityList = array();

							// Process every spot in the slot.
							foreach ($spots as $key => $value) {
								// Change their priorities if they are affected by the required change.
								if ($priorities[$key] >= $new_priority && $priorities[$key] <= $old_priority) {
									if ($value == $spotID) {
										// Replace desired spot with new priority.
										$count_spots = sizeof($priorities);
										if ($new_priority > $count_spots) {
											// Cannot be a lower priority than number of spots in the time slot.
											$priorityList[$value] = $count_spots;
										} else {
											$priorityList[$value] = $new_priority;
										}
									} else {
										// Increment priority of other affected spots.
										$provisional_priority = $priorities[$key] + 1;
										if ($provisional_priority <= 1) {
											// Cannot be a higher priority than one.
											$priorityList[$value] = 1;
										} else {
											// Set the new priority for the spot.
											$priorityList[$value] = $provisional_priority;
										}
									}
								}
								// The priority of the spot hasn't changed.
							}
							$changes_made = true;
						} else {
							// Priority is going down.

							$priorityList = array();

							// Process every spot in the slot.
							foreach ($spots as $key => $value) {
								// Change their priorities if they are affected by the required change.
								if ($priorities[$key] <= $new_priority && $priorities[$key] >= $old_priority) {
									if ($value == $spotID) {
										// Replace desired spot with new priority.
										$count_spots = sizeof($priorities);
										if ($new_priority > $count_spots) {
											// Cannot be a lower priority than number of spots in the time slot.
											$priorityList[$value] = $count_spots;
										} else {
											$priorityList[$value] = $new_priority;
										}
									} else {
										// Increment priority of other affected spots.
										$provisional_priority = $priorities[$key] - 1;
										if ($provisional_priority <= 1) {
											// Cannot be a higher priority than one.
											$priorityList[$value] = 1;
										} else {
											// Set the new priority for the spot.
											$priorityList[$value] = $provisional_priority;
										}
									}
								}
								// The priority of the spot hasn't changed.
							}
							$changes_made = true;
						}
						// The priority ordering within the slot hasn't changed.
					}
					// The requested spot is not scheduled in this slot.
				}
				// No spots in this slot.
			}
			// Spot has no scheduled time or spot doesn't exist. Something is wrong.
		}
		if ($changes_made) {
			if (!empty($priorityList)) {
				// Update the priorities in storage.
				$spotList = implode(',', array_keys($priorityList));
				$query = "UPDATE {$this->store->table_traffic_spot} SET {$this->store->field_spot_priority} = CASE {$this->store->field_spot_spotID} ";
				foreach ($priorityList as $spotID => $priority) {
					$query .= sprintf("WHEN %d THEN %d ", $spotID, $priority);
				}
				$query .= "END WHERE {$this->store->field_spot_spotID} IN ($spotList)";
				$result = sysdb::query($query);
			}
			return true;
		} else {
			return false;
		}
    }

   /** Checks and repairs priority data for a given time slot. */
    public function repair_priority($spots = array(), $priorities = array()) {
		$changes_made = false;

		$total_spots = sizeof($spots);

		// Look for NULL priority values.
		if (in_array(null, $priorities)) {
			// NULL data found. Try to repair.
			while (array_search('', $priorities) !== false) {
				// Make sure not duplicating values.
				while (in_array($total_spots, $priorities)) {
					$total_spots++;
				}
				$priorities[array_search('', $priorities)] = $total_spots;
				$changes_made = true;
				$total_spots++;
			}
		}

		// Look for duplicate priority values.
		while (sizeof(array_unique(array_count_values($priorities))) > 1) {
			// Duplicate data found. Try to repair.
			$priority_value_count = array_count_values($priorities);
			$priority_value_duplicates = array();
			foreach ($priority_value_count as $key => $value) {
				if ($value > 1) {
					$priority_value_duplicates[] = $key;
				}
			}
			foreach ($priority_value_duplicates as $value) {
				$priorities[array_search($value, $priorities)] = $total_spots;
				$changes_made = true;
				$total_spots++;
			}
			unset($priority_value_count);
			unset($priority_value_duplicates);
		}

		// Look for vacancies in priority values.
		arsort($priorities);
		if (current($priorities) == sizeof($priorities)) {
			// Lowest priority matches array size. Should be fine.
			ksort($priorities);
		} else {
			// Mismatch means vacancies.
			asort($priorities);
			if (current($priorities) != 1) {
				// Highest priority is not highest possible.
				$priorities[key($priorities)] = 1;
				$changes_made = true;
			}
			$counter = 1;
			foreach($priorities as $key => $value) {
				$priorities[$key] = $counter;
				$changes_made = true;
				$counter++;
			}
			ksort($priorities);
		}

		if ($changes_made) {
			if (!empty($priorities)) {
				// Update the priorities in storage.
				$spotList = implode(',', $spots);
				$query = "UPDATE {$this->store->table_traffic_spot} SET {$this->store->field_spot_priority} = CASE {$this->store->field_spot_spotID} ";
				foreach ($priorities as $key => $priority) {
					$query .= sprintf("WHEN %d THEN %d ", $spots[$key], $priority);
				}
				$query .= "END WHERE {$this->store->field_spot_spotID} IN ($spotList)";
				$result = sysdb::query($query);
			}
		}
		return(array($spots, $priorities));
	}

   /**
	* Checks whether a spot is eligible to air according to traffic constraints such as approval statuses, attached media etc.
	*
	* @param $spotID
	*   Performs check on the provided spot id.
	* @param $dateTime
	*   Performs check on the provided spot id.
	* @return
	*   Returns TRUE if spot is eligible to air. Returns $reason as a string if spot is ineligible to air.
	*/
	public function verifySpotStatus($spotID,$dateTime) {
		if ($dateTime != '') {
			$dateTimestamp = date("Y-M-d H:i:s", strtotime($dateTime));
			$time = strtotime($dateTime);
		} else {
			$dateTimestamp = date("Y-M-d H:i:s", strtotime("now"));
			$time = strtotime("now");
		}

		// modified from perl script
		$query = <<<EOQ
			SELECT DISTINCT S.mediaID
			FROM ({$this->store->table_traffic_spot} S, {$this->store->table_traffic_campaignaudio} A , {$this->store->table_traffic_contract} O)
			WHERE {$this->store->field_spot_spotID} = '$spotID'
			AND S.mediaID != ''
			AND (O.contractStatus = 'Approved' || O.contractStatus = 'Invoiced' || O.contractStatus = 'Paid')
			AND A.productionStatus = 'Approved'
			AND S.inactive != 'true'
			AND A.mediaID = S.mediaID
			AND A.contractID = O.contractID
			AND A.filename IS NOT NULL
EOQ;

		// from traffic
		$query = <<<EOQ
			SELECT A.campaignAudioID as campaignAudioID,
					A.duration as duration, A.name as campaignAudio,
					A.productionStatus as productionStatus,
					A.filename as filename, A.deadlineDate as productionDeadline,
					A.startDate as audioStartDate, A.endDate as audioEndDate,
					C.name as campaign, C.campaignID as campaignID,
					C.startDate as campaignStartDate, C.endDate as campaignEndDate,
					O.name as contract, O.contractID as contractID, O.contractStatus as contractStatus,
					L.name as client, L.clientID as clientID,
					S.priority as priority, S.spotID as spotID
			FROM ({$this->store->table_traffic_spot} S, {$this->store->table_traffic_campaignaudio} A)
			LEFT OUTER JOIN {$this->store->table_traffic_campaign} C ON A.campaignID = C.campaignID
			LEFT OUTER JOIN {$this->store->table_traffic_contract} O ON A.contractID = O.contractID
			LEFT OUTER JOIN {$this->store->table_traffic_client} L ON A.clientID = L.clientID
			WHERE S.mediaID = A.mediaID
			AND S.dateTime >= "$cell_day $row_start"
			AND S.dateTime < "$cell_next_day $row_next"
			ORDER BY priority, S.spotID
EOQ;
        $result = sysdb::query($query);

        if (sysdb::num_rows($result) <= 0) {


			// Roughly in severity then procedure order.
			if ($line['duration'] == 0) {
				// Audio duration is 0!;
				return false;
				die;
			}

			if ($line['filename'] == '') {
				// No audio seems to have been uploaded;
				return false;
				die;
			}

			if ($line['productionStatus'] != 'Approved') {
				// Production Status is not Approved;
				return false;
				die;
			}

			if (!in_array($line['contractStatus'],array('Approved','Paid','Invoiced'))) {
				// Contract Status is not Approved or Paid or Invoiced;
				return false;
				die;
			}

			if ($line['inactive'] != true) {
				// Spot is deactivated;
				return false;
				die;
			}




			return false;
		} else {
			return true;
		}
//		}
	}

}
?>