<?php
// $Id$

include_once('global.php');
include_once('moduleconfig.php');

function __autoload($class_name) {
    require_once $class_name . '.php';
}

// Check to see if disabling of SAM role is set as a module parameter.
if (isset($module_parameter['disableRoleSAM']) && $module_parameter['disableRoleSAM'] == '0') {
	$global_search_items = array(
		'Client',
		'Contract',
		'Campaign',
		'CampaignAudio',
		'ClientRep',
		'Talent',
		'SalesRep',
		'SAM',
		'Sector',
		'ProductType'
		);
} else {
	$global_search_items = array(
		'Client',
		'Contract',
		'Campaign',
		'CampaignAudio',
		'ClientRep',
		'Talent',
		'SalesRep',
		'Sector',
		'ProductType'
		);
}

    $doc = new DOMDocument();
    $doc->formatOutput = true;
    
    $search_string = $_REQUEST['request'];
    $search_string = str_replace('\\','',$search_string);
    $search_string = str_replace('"','',$search_string);

	foreach($global_search_items as $object) {
		$o_class = new $object();
		if (method_exists($o_class,'search')) {
			$doc->appendChild($o_class->search($doc,$search_string));
		}
	}

    echo $doc->saveXML();
?>