<?php
// $Id$

	include_once('global.php');
	include_once('emailing.php');

    function email_notification($id,$notification_type,$prior_state) {
 		global $module_parameter;
		$store = new trafficStorage();
		$success = false;
		if ($id != '' || $id != 0) {
			switch($notification_type) {
				case 'contractstatus_proposed':
					/* To ClientRep */
					/* Needs contract details and acceptance/approval token plus attachments */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					$type = 'contract';

					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
				case 'contractstatus_approved':
					// /* To ClientRep & SalesRep */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					$type = 'contract';

					// $query = <<<EOQ
						// SELECT C.name AS clientName, I.name, I.contractStatus
						// FROM ($store->table_traffic_contract I, $store->table_traffic_client C)
						// WHERE I.contractID = $id
						// AND C.clientID = I.clientID
// EOQ;
					// $result = sysdb::query_assoc($query,false);

					// To: Sales Rep
					$query = <<<EOQ
						SELECT C.name AS clientName, I.name, I.contractStatus, P.actorID
						FROM ($store->table_traffic_contract I, $store->table_traffic_client C, $store->table_traffic_salesrep P, $store->table_traffic_contractsalesrep J)
						WHERE I.contractID = $id
						AND C.clientID = I.clientID
						AND J.contractID = I.contractID
						AND J.salesRepID = P.salesRepID
EOQ;
					$result = sysdb::query_assoc($query,false);
					if (sizeof($result) > 0) {
						$line = $result[0];
						$replacements = array();
						$replacements['PRODUCTION_NAME'] = $line['name'];
						$replacements['CLIENT_NAME'] = $line['clientName'];
						$replacements['NEW_CONTRACT_STATUS'] = $line['contractStatus'];
						$replacements['OLD_CONTRACT_STATUS'] = $prior_state;
						$replacements['NEW_STATUS_COLOUR'] = status_colour($type,$line['contractStatus']);
						$replacements['OLD_STATUS_COLOUR'] = status_colour($type,$prior_state);
						$replacements['ORG_NAME'] = ORG_NAME;

						$actorID = $line['actorID'];
						$query = "SELECT email FROM $store->table_detail WHERE actorID = ".$actorID;
						$emails = sysdb::query2vector($query,'email');
						if (sizeof($emails) > 0) {
							$email = new Emailing($emails,$notification_type.'.email',$replacements,$replacements);
							$email->send();
							$success = $email->sent_ok();
						} else {
							state::setMessage('warning', 'The recipient does not have an email address. Please specify one.');
						}
					} else {
						state::setMessage('warning', 'The specified contract does not have any Sales Representatives assigned. No email sent.');
					}


					// To: Client Rep (DISABLED)
					// $query = <<<EOQ
						// SELECT C.name AS clientName, I.name, I.contractStatus, P.actorID
						// FROM ($store->table_traffic_contract I, $store->table_traffic_client C, $store->table_traffic_clientrep P, $store->table_traffic_contractclientrep J)
						// WHERE I.contractID = $id
						// AND C.clientID = I.clientID
						// AND J.contractID = I.contractID
						// AND J.clientRepID = P.clientRepID
// EOQ;
					// $result = sysdb::query_assoc($query,false);
					// if (sizeof($result) > 0) {
						// $line = $result[0];
						// $replacements = array();
						// $replacements['PRODUCTION_NAME'] = $line['name'];
						// $replacements['CLIENT_NAME'] = $line['clientName'];
						// $replacements['NEW_CONTRACT_STATUS'] = $line['contractStatus'];
						// $replacements['OLD_CONTRACT_STATUS'] = $prior_state;
						// $replacements['NEW_STATUS_COLOUR'] = status_colour($type,$line['contractStatus']);
						// $replacements['OLD_STATUS_COLOUR'] = status_colour($type,$prior_state);
						// $replacements['ORG_NAME'] = ORG_NAME;

						// $actorID = $line['actorID'];
						// $query = "SELECT email FROM $store->table_detail WHERE actorID = ".$actorID;
						// $emails = sysdb::query2vector($query,'email');
						// if (sizeof($emails) > 0) {
							// $email = new Emailing($emails,$notification_type.'.email',$replacements,$replacements);
							// $email->send();
							// $success = $email->sent_ok();
						// } else {
							// state::setMessage('warning', 'The recipient does not have an email address. Please specify one.');
					// //		die("The recipient does not have an email address. Please specify one.");
						// }
					// } else {
						// state::setMessage('warning', 'The specified contract does not have any Client Representatives assigned. No email sent.');
// //						die("The specified contract does not have any ClientReps assigned.");
					// }
					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
				case 'contractstatus_cancelled':
					/* To ClientRep & SalesRep */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					$type = 'contract';

					// To: Sales Rep
					$query = <<<EOQ
						SELECT C.name AS clientName, I.name, I.contractStatus, P.actorID
						FROM ($store->table_traffic_contract I, $store->table_traffic_client C, $store->table_traffic_salesrep P, $store->table_traffic_contractsalesrep J)
						WHERE I.contractID = $id
						AND C.clientID = I.clientID
						AND J.contractID = I.contractID
						AND J.salesRepID = P.salesRepID
EOQ;
					$result = sysdb::query_assoc($query,false);
					if (sizeof($result) > 0) {
						$line = $result[0];
						$replacements = array();
						$replacements['PRODUCTION_NAME'] = $line['name'];
						$replacements['CLIENT_NAME'] = $line['clientName'];
						$replacements['NEW_CONTRACT_STATUS'] = $line['contractStatus'];
						$replacements['OLD_CONTRACT_STATUS'] = $prior_state;
						$replacements['NEW_STATUS_COLOUR'] = status_colour($type,$line['contractStatus']);
						$replacements['OLD_STATUS_COLOUR'] = status_colour($type,$prior_state);
						$replacements['ORG_NAME'] = ORG_NAME;

						$actorID = $line['actorID'];
						$query = "SELECT email FROM $store->table_detail WHERE actorID = ".$actorID;
						$emails = sysdb::query2vector($query,'email');
						if (sizeof($emails) > 0) {
							$email = new Emailing($emails,$notification_type.'.email',$replacements,$replacements);
							$email->send();
							$success = $email->sent_ok();
						} else {
							state::setMessage('warning', 'The recipient does not have an email address. Please specify one.');
						}
					} else {
						state::setMessage('warning', 'The specified contract does not have any Sales Representatives assigned. No email sent.');
					}

					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
				case 'audiostatus_production':
					/* To Producer */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					$type = 'production';
					$query = <<<EOQ
						SELECT C.name AS clientName, G.name AS campaignName, I.name, I.productionStatus, P.actorID
						FROM ($store->table_traffic_campaignaudio I, $store->table_traffic_client C, $store->table_traffic_producer P, $store->table_traffic_campaign G)
						WHERE I.campaignAudioID = $id
						AND I.producerID = P.producerID
						AND C.clientID = I.clientID
						AND G.campaignID = I.campaignID
EOQ;
					$result = sysdb::query_assoc($query,false);
					if (sizeof($result) > 0) {
						$line = $result[0];
						$replacements = array();
						$replacements['PRODUCTION_NAME'] = $line['name'];
						$replacements['CAMPAIGN_NAME'] = $line['campaignName'];
						$replacements['CLIENT_NAME'] = $line['clientName'];
						$replacements['NEW_PRODUCTION_STATUS'] = $line['productionStatus'];
						$replacements['OLD_PRODUCTION_STATUS'] = $prior_state;
						$replacements['NEW_STATUS_COLOUR'] = status_colour($type,$line['productionStatus']);
						$replacements['OLD_STATUS_COLOUR'] = status_colour($type,$prior_state);
						$replacements['ORG_NAME'] = ORG_NAME;
						$actorID = $line['actorID'];
						$query = "SELECT email FROM $store->table_detail WHERE actorID = ".$actorID;
						$emails = sysdb::query2vector($query,'email');
						if (sizeof($emails) > 0) {
							$email = new Emailing($emails,$notification_type.'.email',$replacements,$replacements);
							$email->send();
							$success = $email->sent_ok();
						} else {
							state::setMessage('warning', 'The recipient does not have an email address. Please specify one.');
							// die("The recipient does not have an email address. Please specify one.");
						}
					} else {
						state::setMessage('warning', 'The specified campaign audio does not have any producers assigned.');
						// die("The specified campaign audio does not have any producers assigned.");
					}
					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
				case 'audiostatus_pending_internal':
					/* To SAM/SalesRep */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					$type = 'production';

					// Check to see if disabling of SAM role is set as a module parameter.
					if (isset($module_parameter['disableRoleSAM']) && $module_parameter['disableRoleSAM'] == 1) {
						$assign_display = 'Sales Rep';
						$assign_type = 'salesRepID';
						$table_assign = $store->table_traffic_salesrep;
						$field_assign = $store->field_salesrep_salesRepID;
						$field_actor = $store->field_salesrep_actorID;
					} else {
						$assign_display = 'SAM';
						$assign_type = 'samID';
						$table_assign = $store->table_traffic_sam;
						$field_assign = $store->field_sam_samID;
						$field_actor = $store->field_sam_actorID;
					}

					$query = <<<EOQ
						SELECT C.name AS clientName, G.name AS campaignName, I.name, I.productionStatus, P.$field_actor
						FROM ($store->table_traffic_campaignaudio I, $store->table_traffic_client C, $store->table_traffic_campaign G, $table_assign P, $store->table_traffic_campaignassign J)
						WHERE I.campaignAudioID = '$id'
						AND C.clientID = I.clientID
						AND G.campaignID = I.campaignID
						AND J.$store->field_campaignassign_campaignID = I.campaignID
						AND J.$store->field_campaignassign_id = P.$field_assign
						AND J.$store->field_campaignassign_type = '$assign_type'
EOQ;
					$result = sysdb::query_assoc($query,false);
					if (sizeof($result) > 0) {
						$line = $result[0];
						$replacements = array();
						$replacements['PRODUCTION_NAME'] = $line['name'];
						$replacements['CAMPAIGN_NAME'] = $line['campaignName'];
						$replacements['CLIENT_NAME'] = $line['clientName'];
						$replacements['NEW_PRODUCTION_STATUS'] = $line['productionStatus'];
						$replacements['OLD_PRODUCTION_STATUS'] = $prior_state;
						$replacements['NEW_STATUS_COLOUR'] = status_colour($type,$line['productionStatus']);
						$replacements['OLD_STATUS_COLOUR'] = status_colour($type,$prior_state);
						$replacements['ORG_NAME'] = ORG_NAME;
						$actorID = $line['actorID'];
						$query = "SELECT email FROM $store->table_detail WHERE actorID = ".$actorID;
						$emails = sysdb::query2vector($query,'email');
						if (sizeof($emails) > 0) {
							$email = new Emailing($emails,$notification_type.'.email',$replacements,$replacements);
							$email->send();
							$success = $email->sent_ok();
						} else {
							state::setMessage('warning', 'The recipient does not have an email address. Please specify one.');
							// die("The recipient does not have an email address. Please specify one.");
						}
					} else {
							state::setMessage('warning', 'The specified campaign does not have any '.$assign_display.'s assigned.'.$query);
						// die("The specified campaign does not have any SAMs assigned.");
					}
					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
				case 'audiostatus_pending_external':
					/* To ClientRep (DISABLED) */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					// $type = 'production';
					// $query = <<<EOQ
						// SELECT C.name AS clientName, G.name AS campaignName, I.name, I.productionStatus, P.actorID
						// FROM ($store->table_traffic_campaignaudio I, $store->table_traffic_client C, $store->table_traffic_campaign G, $store->table_traffic_clientrep P, $store->table_traffic_contractclientrep J)
						// WHERE I.campaignAudioID = $id
						// AND C.clientID = I.clientID
						// AND G.campaignID = I.campaignID
						// AND J.contractID = I.contractID
						// AND J.clientRepID = P.clientRepID
// EOQ;
					// $result = sysdb::query_assoc($query,false);
					// if (sizeof($result) > 0) {
						// $line = $result[0];
						// $replacements = array();
						// $replacements['PRODUCTION_NAME'] = $line['name'];
						// $replacements['CAMPAIGN_NAME'] = $line['campaignName'];
						// $replacements['CLIENT_NAME'] = $line['clientName'];
						// $replacements['NEW_PRODUCTION_STATUS'] = $line['productionStatus'];
						// $replacements['OLD_PRODUCTION_STATUS'] = $prior_state;
						// $replacements['NEW_STATUS_COLOUR'] = status_colour($type,$line['productionStatus']);
						// $replacements['OLD_STATUS_COLOUR'] = status_colour($type,$prior_state);
						// $replacements['ORG_NAME'] = ORG_NAME;

						// $actorID = $line['actorID'];
						// $query = "SELECT email FROM $store->table_detail WHERE actorID = ".$actorID;
						// $emails = sysdb::query2vector($query,'email');
						// if (sizeof($emails) > 0) {
							// $email = new Emailing($emails,$notification_type.'.email',$replacements,$replacements);
							// $email->send();
							// $success = $email->sent_ok();
						// } else {
							// state::setMessage('warning', 'The recipient does not have an email address. Please specify one.');
							// // die("The recipient does not have an email address. Please specify one.");
						// }
					// } else {
						// state::setMessage('warning', 'The specified contract does not have any Client Representatives assigned. No email sent.');
						// // die("The specified contract does not have any ClientReps assigned.");
					// }
					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
				case 'audiostatus_approved':
					/* AND switch to Traffic Manager = Active */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					/* To ClientRep (DISABLED) */
					// $type = 'production';
					// $query = <<<EOQ
						// SELECT C.name AS clientName, G.name AS campaignName, I.name, I.productionStatus, P.actorID
						// FROM ($store->table_traffic_campaignaudio I, $store->table_traffic_client C, $store->table_traffic_campaign G, $store->table_traffic_clientrep P, $store->table_traffic_contractclientrep J)
						// WHERE I.campaignAudioID = $id
						// AND C.clientID = I.clientID
						// AND G.campaignID = I.campaignID
						// AND J.contractID = I.contractID
						// AND J.clientRepID = P.clientRepID
// EOQ;
					// $result = sysdb::query_assoc($query,false);
					// if (sizeof($result) > 0) {
						// $line = $result[0];
						// $replacements = array();
						// $replacements['PRODUCTION_NAME'] = $line['name'];
						// $replacements['CAMPAIGN_NAME'] = $line['campaignName'];
						// $replacements['CLIENT_NAME'] = $line['clientName'];
						// $replacements['NEW_PRODUCTION_STATUS'] = $line['productionStatus'];
						// $replacements['OLD_PRODUCTION_STATUS'] = $prior_state;
						// $replacements['NEW_STATUS_COLOUR'] = status_colour($type,$line['productionStatus']);
						// $replacements['OLD_STATUS_COLOUR'] = status_colour($type,$prior_state);
						// $replacements['ORG_NAME'] = ORG_NAME;

						// $actorID = $line['actorID'];
						// $query = "SELECT email FROM $store->table_detail WHERE actorID = ".$actorID;
						// $emails = sysdb::query2vector($query,'email');
						// if (sizeof($emails) > 0) {
							// $email = new Emailing($emails,$notification_type.'.email',$replacements,$replacements);
							// $email->send();
							// $success = $email->sent_ok();
							// // TODO (ken): Switch $notification_type to spotstatus_active
						// } else {
							// // state::setMessage('warning', 'The recipient does not have an email address. Please specify one.');
							// die("The recipient does not have an email address. Please specify one.");
						// }
					// } else {
							// state::setMessage('warning', 'The specified contract does not have any Client Representatives assigned.');
						// // die("The specified contract does not have any ClientReps assigned.");
					// }
					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
				case 'audiostatus_unapproved':
					/* To SAM */
					/* AND switch to Traffic Manager = Inactive */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					$type = 'production';


					// Check to see if disabling of SAM role is set as a module parameter.
					if (isset($module_parameter['disableRoleSAM']) && $module_parameter['disableRoleSAM'] == 1) {
						$assign_display = 'Sales Rep';
						$assign_type = 'salesRepID';
						$class_title = new SalesRep;
						$assignID = $salesRepActorID;
						$table_assign = $store->table_traffic_salesrep;
						$field_assign = $store->field_salesrep_salesRepID;
						$field_actor = $store->field_salesrep_actorID;
					} else {
						$assign_display = 'SAM';
						$assign_type = 'samID';
						$class_title = new SAM;
						$assignID = $samActorID;
						$table_assign = $store->table_traffic_sam;
						$field_assign = $store->field_sam_samID;
						$field_actor = $store->field_sam_actorID;
					}

					$query = <<<EOQ
						SELECT C.name AS clientName, G.name AS campaignName, I.name, I.productionStatus, P.$field_actor
						FROM ($store->table_traffic_campaignaudio I, $store->table_traffic_client C, $store->table_traffic_campaign G, $table_assign P, $store->table_traffic_campaignassign J)
						WHERE I.campaignAudioID = '$id'
						AND C.clientID = I.clientID
						AND G.campaignID = I.campaignID
						AND J.$store->field_campaignassign_campaignID = I.campaignID
						AND J.$store->field_campaignassign_id = P.$field_assign
						AND J.$store->field_campaignassign_type = '$assign_type'
EOQ;
					$result = sysdb::query_assoc($query,false);
					if (sizeof($result) > 0) {
						$line = $result[0];
						$replacements = array();
						$replacements['PRODUCTION_NAME'] = $line['name'];
						$replacements['CAMPAIGN_NAME'] = $line['campaignName'];
						$replacements['CLIENT_NAME'] = $line['clientName'];
						$replacements['NEW_PRODUCTION_STATUS'] = $line['productionStatus'];
						$replacements['OLD_PRODUCTION_STATUS'] = $prior_state;
						$replacements['NEW_STATUS_COLOUR'] = status_colour($type,$line['productionStatus']);
						$replacements['OLD_STATUS_COLOUR'] = status_colour($type,$prior_state);
						$replacements['ORG_NAME'] = ORG_NAME;
						$actorID = $line['actorID'];
						$query = "SELECT email FROM $store->table_detail WHERE actorID = ".$actorID;
						$emails = sysdb::query2vector($query,'email');
						if (sizeof($emails) > 0) {
							$email = new Emailing($emails,$notification_type.'.email',$replacements,$replacements);
							$email->send();
							$success = $email->sent_ok();
							// TODO (ken): Switch $notification_type to spotstatus_inactive
						} else {
							state::setMessage('warning', 'The recipient does not have an email address. Please specify one.');
							// die("The recipient does not have an email address. Please specify one.");
						}
					} else {
						state::setMessage('warning', 'The specified campaign does not have any SAMs assigned.');
						// die("The specified campaign does not have any SAMs assigned.");
					}
					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
				case 'spotstatus_active':
					/* To Traffic Manager */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					$type = 'production';

					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
				case 'spotstatus_inactive':
					/* To Traffic Manager */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					$type = 'production';

					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
				case 'spotstatus_broadcast':
					/* To Traffic Manager & SAM */
					if (empty($id)) state::setMessage('error', 'No ID supplied. Cannot perform email function.');
					$type = 'production';

					if ($success) {
						return true;
					} else {
						return false;
					}
					break;
			}
		}
//		module::forward_to_script("index.php");
	}

	function status_colour($type,$status) {
		if ($type == 'contract') {
			if ($status == 'Proposed' || $status == 'contractstatus_proposed') {
				$colour = 'blue';
				return $colour;
			}
			if ($status == 'Approved' || $status == 'contractstatus_approved') {
				$colour = 'green';
				return $colour;
			}
			if ($status == 'Invoiced' || $status == 'contractstatus_invoiced') {
				$colour = 'black';
				return $colour;
			}
			if ($status == 'Paid' || $status == 'contractstatus_paid') {
				$colour = 'grey';
				return $colour;
			}
			if ($status == 'Cancelled' || $status == 'contractstatus_cancelled') {
				$colour = 'red';
				return $colour;
			}
		}
		if ($type == 'production') {
			if ($status == 'Pending Draft Approval' || $status == 'productionstatus_draft') {
				$colour = 'maroon';
				return $colour;
			}
			if ($status == 'In Production' || $status == 'productionstatus_inproduction') {
				$colour = '#ff6600';
				return $colour;
			}
			if ($status == 'Pending Internal Approval' || $status == 'productionstatus_pendinginternal') {
				$colour = '#005500';
				return $colour;
			}
			if ($status == 'Pending Client Approval' || $status == 'productionstatus_pendingexternal') {
				$colour = 'navy';
				return $colour;
			}
			if ($status == 'Approved' || $status == 'productionstatus_approved') {
				$colour = 'black';
				return $colour;
			}
		}
	}
?>