// $Id$

/**
* Enables the product type end date so that it is submitted with the CampaignAudio::form().
*/
function enableProductTypeEndDate() {
 	var year = document.getElementById("productTypeEndYear").disabled;
	if (year) {
		document.getElementById("productTypeEndYear").disabled = false;
	} else {
		document.getElementById("productTypeEndYear").disabled = true;
	}
 	var month = document.getElementById("productTypeEndMonth").disabled;
	if (month) {
		document.getElementById("productTypeEndMonth").disabled = false;
	} else {
		document.getElementById("productTypeEndMonth").disabled = true;
	}
 	var day = document.getElementById("productTypeEndDay").disabled;
	if (day) {
		document.getElementById("productTypeEndDay").disabled = false;
	} else {
		document.getElementById("productTypeEndDay").disabled = true;
	}
}

/**
* Disables the input box in the hidden input form so that data isn't sent with the form CampaignAudio::form().
*/
function disableProducerForm(state) {
	if (state == 'show') {
		document.getElementById("campaignAudioProducerID").disabled = true;
		document.getElementById("producerActorID").disabled = false;
	} else {
		document.getElementById("campaignAudioProducerID").disabled = false;
		document.getElementById("producerActorID").disabled = true;
	}
}

/**
* Disables the input box in the hidden input form so that data isn't sent with the form CampaignAudio::form().
*/
function disableProductTypeForm(state) {
	if (state == 'show') {
		document.getElementById("campaignAudioProductTypeIDList").disabled = true;
		document.getElementById("productTypeName").disabled = false;
	} else {
		document.getElementById("campaignAudioProductTypeIDList").disabled = false;
		document.getElementById("productTypeName").disabled = true;
	}
}

/**
* Disables the input box in the hidden input form so that data isn't sent with the form CampaignAudio::form().
*/
function disableTalentForm(state) {
	var array = new Array();
	array[0] = 'Title';
	array[1] = 'FirstName';
	array[2] = 'LastName';
	array[3] = 'Address';
	array[4] = 'City';
	array[5] = 'Postcode';
	array[6] = 'Work';
	array[7] = 'Mobile';
	array[8] = 'Fax';
	array[9] = 'Email';
	for (var i=0; i<array.length; i++) {
		var type = array[i];
		if (state == 'disabled') {
			document.getElementById("talent" + type).disabled = false;
			document.getElementById("campaignAudioTalentIDList").disabled = true;
		} else {
			document.getElementById("talent" + type).disabled = true;
			document.getElementById("campaignAudioTalentIDList").disabled = false;
		}
	}
}

/**
* Removes a file path from the input box if a file was accidently loaded, and no file needs to be uploaded.
*/
function removeAudioPath() {
	document.getElementById("campaignAudioFilename").value = "";
}

/**
* Flips between adding existing or new producers in CampaignAudio::form().
*/
function toggleProducerForm(on,off) {
    var state = document.getElementById(on).style.display;
	if (state == 'block') {
        document.getElementById(on).style.display = 'none';
        document.getElementById(off).style.display = 'block';
		disableProducerForm();
	} else {
	    document.getElementById(on).style.display = 'block';
	    document.getElementById(off).style.display = 'none';
		disableProducerForm("show");
    }
}

/**
* Flips between adding existing or new product types in CampaignAudio::form().
*/
function toggleProductTypeForm(on,off) {
    var state = document.getElementById(on).style.display;
	if (state == 'block') {
        document.getElementById(on).style.display = 'none';
        document.getElementById(off).style.display = 'block';
		disableProductTypeForm();
	} else {
	    document.getElementById(on).style.display = 'block';
	    document.getElementById(off).style.display = 'none';
		disableProductTypeForm("show");
    }
}

/**
* Flips between adding existing or new talent in CampaignAudio::form().
*/
function toggleTalentForm(on,off) {
    var state = document.getElementById(on).style.display;
	if (state == 'block') {
        document.getElementById(on).style.display = 'none';
        document.getElementById(off).style.display = 'block';
		disableTalentForm();
	} else {
	    document.getElementById(on).style.display = 'block';
	    document.getElementById(off).style.display = 'none';
		disableTalentForm("disabled");
    }
}

// alert("Loaded CampaignAudio.js");