// $Id$

var currentrow = currentcolumn = -1;
var priorValue;

function mask_input(obj,row,column) {

	// Need to catch onkeydown. Might not be possible because it current triggers this function.
	// That means you need to put in a listener instead (but remember two different GUIs use
	// This Schedule.js so a listener will need to know if its scheduling while Campaign or single Campaign Audio.

	// Ken.

	alert("keycode: " + keycode);

	// var key_code = window.event.keyCode.value;

	alert("Loaded Schedule.js ["+oElement+"]["+key_code+"]");
	if (!window.event.shiftKey && !window.event.ctrlKey && !window.event.altKey) {
		if ((key_code > 47 && key_code < 58) ||
				  (key_code > 95 && key_code < 106)) {
						if (key_code > 95)
								key_code -= (95-47);
				   oElement.value = oElement.value;
		} else if(key_code == 8) {
				oElement.value = oElement.value;
		} else if(key_code != 9) {
				event.returnValue = false;
		}
	}

	// Allow only TAB?
	if ( event.keyCode == 9 ) {
		// TAB.
		// let it happen, don't do anything
	} else if ( event.keyCode == 13 ) {
		// ENTER.
		//increment y-axis.
	} else if ( event.keyCode == 38 ) {
		// UP.
		//decrement y-axis.
	} else if ( event.keyCode == 40 ) {
		// DOWN.
		//increment y-axis.
	} else if ( event.keyCode == 37 ) {
		// LEFT.
		//decrement x-axis.
	} else if ( event.keyCode == 39 ) {
		// RIGHT.
		//increment x-axis.
	}

}

/**
* Increments/decrements the spot counter for campaign audio schedule.
*/
function countticks_handler(state) {
    var tickcountbox = document.getElementById("tickcounter");
	var change = parseInt(state);
    var num = parseInt(document.getElementById("tickcounter").value);
	var new_num = num + change;
    tickcountbox.value = new_num;
}

/**
* Increments/decrements the spot counter for campaign schedule.
*/
function countfield_handler(state) {
    var countfield = document.getElementById("fieldcounter");
	var change = parseInt(state);
    var num = parseInt(document.getElementById("fieldcounter").value);
	var new_num = num + change;
//    alert("Countfield:"+num+"+"+change+"="+new_num);
    countfield.value = new_num;
}

/**
* Decrements/increments the total counter for campaign audio schedule.
*/
function totalticks_handler() {
	var totalcountbox = document.getElementById("totalcounter");
	var ticks = parseInt(document.getElementById("tickcounter").value);
	var allotted = parseInt(document.getElementById("totalspotsallotted").value);
	var total = allotted - ticks;
//    alert("Totalticks:"+allotted+"-"+ticks+"="+total);
    totalcountbox.value = total;
}

/**
* Decrements/increments the total counter for campaign schedule.
*/
function totalfield_handler() {
	var totalcountbox = document.getElementById("totalcounter");
	var spots = parseInt(document.getElementById("fieldcounter").value);
	var allotted = parseInt(document.getElementById("totalspotsallotted").value);
	var total = allotted - spots;
//    alert("Totalfield:"+allotted+"-"+spots+"="+total);
    totalcountbox.value = total;
}

/**
* Changes the checkbox value when the containing div is clicked, making it much easier to check the box.
*
* Also triggers changes to the onscreen counters.
*/
function checkbox(obj,row,column) {
 	var checkbox = document.getElementById('traffic_checkbox['+row+']['+column+']').getElementsByTagName('input')[0];

	var count = 0;
    if ( checkbox.type == 'checkbox' ) {
		if ( checkbox && checkbox.disabled == false ) {
			if ( checkbox.checked ) {
				checkbox.checked = false;
				count--;
			} else if ( !checkbox.checked ) {
				checkbox.checked = true;
				count++;
			}
			// Change counters. Don't reverse the order as total depends on count.
			countticks_handler(count);
			totalticks_handler();
		}
	}
    if ( checkbox.type == 'radio' ) {
		if ( checkbox && checkbox.disabled == false ) {
			if ( !checkbox.checked ) {
				checkbox.checked = true;
			}
		}
	}
	return true;
}

/**
*
*/
function inputfield_out(obj,row,column) {
 	var inputfield = document.getElementById('traffic_input['+row+']['+column+']').getElementsByTagName('input')[0];

	var count = 0;
	if ( inputfield.disabled == false ) {
		if (priorValue == undefined) {
			priorValue = '';
		}
		if (inputfield.value == priorValue) {
			// was = is
			// No changes. Do nothing.
		} else if (priorValue != '' && priorValue != 1 && inputfield.value != '' && inputfield.value != 1) {
			// was A = is B
			// Changed from one spot to another. Do nothing.
		} else if (priorValue == '' && inputfield.value == 1) {
			// was null = is 1
			// Value is a promotion. Do nothing.
			// This is a temporary solution until promotions are implemented properly.
		} else if (priorValue == 1 && inputfield.value == '') {
			// was 1 = is null
			// Value is a promotion. Do nothing.
			// This is a temporary solution until promotions are implemented properly.
		} else if (priorValue == '' && inputfield.value != 1 && inputfield.value != '') {
			// was null = is A
			count++;
			// Value is a promotion. Do nothing.
			// This is a temporary solution until promotions are implemented properly.
		} else if (priorValue == 1 && inputfield.value != '' && inputfield.value != 1) {
			// was 1 = is A
			count++;
			// Value is a promotion. Do nothing.
			// This is a temporary solution until promotions are implemented properly.
		} else if (priorValue != 1 && priorValue != '' && inputfield.value == 1) {
			// was A = is 1
			count--;
			// This is a temporary solution until promotions are implemented properly.
		} else {
			// was A = is null
			count--;
		}
		// Change counters. Don't reverse the order as total depends on count.
		countfield_handler(count);
		totalfield_handler();
		// Reset prior value, just in case.
		priorValue = '';
	}
	return true;
}

/**
*
*/
function inputfield_in(obj,row,column) {
 	inputfield = document.getElementById('traffic_input['+row+']['+column+']').getElementsByTagName('input')[0];
 	priorValue = inputfield.value;
	return true;
}

/**
* Changes the checkbox value when the checkbox itself is clicked.
*
* This compensates for the restrictions placed on the checkbox by the checkbox() function.
*/
function checkedbox(obj,row,column) {
 	var checkbox = document.getElementById('traffic_checkbox['+row+']['+column+']').getElementsByTagName('input')[0];

	var count = 0;
    if ( checkbox.type == 'checkbox' ) {
		if ( checkbox && checkbox.disabled == false ) {
			if ( checkbox.checked ) {
				count++;
				var state = false;
			} else if ( !checkbox.checked ) {
				count--;
				var state = true;
			}
			checkbox.checked = state;
		}
	}
	return true;
}

// http://www.quirksmode.org/js/findpos.html
// Function to find the position of nested objects
function findPos(obj) {
	var curleft = curtop = 0;
    var width = Number(obj.offsetWidth);
    var height = Number(obj.offsetHeight);
    //alert(curright);
	if (obj.offsetParent) {
    	do {
    			curleft += obj.offsetLeft;
    			curtop += obj.offsetTop;
                //alert(curright);
    	} while (obj = obj.offsetParent);
    }
    var curright = (curleft+width);
    var curbottom = (curtop+height);
	return [curleft,curtop,curright,curbottom];
}

function popoutbox() {
	if (currentrow >= 0 && currentcolumn >= 0) {
		popup = document.getElementById('popup['+currentrow+']['+currentcolumn+']');
		popup.style.visibility = 'hidden';
	}
	return true;
}

function popoutkey(id) {
   // if (currentrow >= 0 && currentcolumn >= 0) {
	popup = document.getElementById('popkey["'+id+'"]');
	popup.style.visibility = 'hidden';
   // }
	return true;
}

function popupbox(obj,row,column) {
	popoutbox();
	currentrow = row;
	currentcolumn = column;

	table = document.getElementById('xytble');
	tableRight = findPos(table)[2];
	tableBottom = findPos(table)[3];

	popupLeft = findPos(obj)[0];
	popupTop = findPos(obj)[1];

	popup = document.getElementById('popup['+row+']['+column+']');
	popup.style.left = popupLeft; popup.style.top = popupTop;

	popup.style.visibility = 'visible';

	popupRight = findPos(obj)[2];
	popupBottom = findPos(obj)[3];
	var width = Number(obj.offsetWidth);
	var height = Number(obj.offsetHeight);
	popupRight += width;
//	popupWidth += height;

//	alert(popupRight+'>'+tableRight+'?');
	if (popupRight > tableRight) {
		popup.style.left = tableRight - (popupRight-popupLeft);
	}

	if (popupBottom > tableBottom) {
		popup.style.top = tableBottom - (popupBottom-popupTop);
	}

	return true;
}

/** Displays the legend/key display dropdowns on rollover. */
function popupkey(obj,id) {
//   popoutkey();
   // currentrow = row;
   // currentcolumn = column;
	table = document.getElementById('keytble');
	tableRight = findPos(table)[2];
	tableBottom = findPos(table)[3];

	popupLeft = findPos(obj)[0];
	popupTop = findPos(obj)[3];

	popup = document.getElementById('popkey["'+id+'"]');
	popup.style.left = popupLeft; popup.style.top = popupTop;

	popup.style.visibility = 'visible';

	popupRight = findPos(obj)[2];
	popupBottom = findPos(obj)[3];
	var width = Number(obj.offsetWidth);
	var height = Number(obj.offsetHeight);
	popupRight += width;
//	popupWidth += height;

//	alert(popupRight+'>'+tableRight+'?');
	if (popupRight > tableRight) {
		popup.style.left = tableRight - (popupRight-popupLeft);
	}

	if (popupBottom > tableBottom) {
		popup.style.top = tableBottom - (popupBottom-popupTop);
	}

	return true;
}

function tablekeynav(e,x,y) {
    var KeyID = e.keyCode? e.keyCode : e.charCode;
    //alert(KeyID);

    var newx = x;
    var newy = y;

    switch(KeyID)
    {
        case 37: //Arrow Left
            newx--;
            //alert('Left');
            break;
        case 38: //Arrow Up
            newy--;
            //alert('Up');
            break;
        case 39: //Arrow Right
            //alert('Right');
            newx++;
            break;
        case 40: //Arrow Down
            //alert('Down');
            newy++;
            break;
    }

    if (newx != x || newy != y) {
        var newbox = document.getElementById('traffic_inputbox['+newy+']['+newx+']');
        if (newbox != null) {
            var newinputs = newbox.getElementsByTagName('input');
            if (newinputs[0]) newinputs[0].focus();
        }
    }
}

// alert("Loaded Schedule.js");
